# src/trianglengin/ui/interaction/__init__.py
"""
Interaction handling module for interactive modes (play/debug).
"""

# Direct imports - if pygame is missing, these will fail.
from .debug_mode_handler import handle_debug_click, update_debug_hover
from .event_processor import process_pygame_events
from .input_handler import InputHandler
from .play_mode_handler import handle_play_click, update_play_hover

__all__ = [
    "InputHandler",
    "process_pygame_events",
    "handle_play_click",
    "update_play_hover",
    "handle_debug_click",
    "update_debug_hover",
]
